RPMATCH(3)

NAME
rpmatch - determine whether response to question is affirmative or negative

SYNOPSIS

#include <stdlib.h>

int rpmatch(const char *response);

DESCRIPTION

The rpmatch function determines whether response is an affirmative or negative response to a question according to the current locale.

RETURNS

rpmatch returns 1 if response is affirmative, 0 if negative, or -1 if not recognized as either.

PORTABILITY

rpmatch is a BSD extension also found in glibc.

NOTES

No supporting OS subroutines are required.